## org.w3c.dom.html
Interface HTMLOptionElement

All Superinterfaces:
  Element, HTMLElement, Node

    public interface HTMLOptionElement

extends HTMLElement

A selectable choice. See the OPTION element definition in HTML 4.0.

Field Summary

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`boolean` `getDefaultSelected()` Stores the initial value of the `selected` attribute.
`boolean` `getDisabled()` The control is unavailable in this context.
`HTMLFormElement` `getForm()` Returns the `FORM` element containing this control.Returns null if this control is not within the context of a form.
`int` `getIndex()` The index of this `OPTION` in its parent `SELECT`.
`java.lang.String` `getLabel()` Option label for use in hierarchical menus.
`boolean` `getSelected()` Means that this option is initially selected.
`java.lang.String` `getText()` The text contained within the option element.
`java.lang.String` `getValue()` The current form control value.
`void` `setDefaultSelected(boolean defaultSelected)`
`void` `setDisabled(boolean disabled)`
`void` `setIndex(int index)`
`void` `setLabel(java.lang.String label)`
`void` `setValue(java.lang.String value)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getForm

    HTMLFormElement getForm()

  Returns the `FORM` element containing this control.Returns null if this control is not within the context of a form.

### getDefaultSelected

    boolean getDefaultSelected()

  Stores the initial value of the `selected` attribute.

### setDefaultSelected

    void setDefaultSelected(boolean defaultSelected)

### getText

    java.lang.String getText()

  The text contained within the option element.

### getIndex

    int getIndex()

  The index of this `OPTION` in its parent `SELECT`.

### setIndex

    void setIndex(int index)

### getDisabled

    boolean getDisabled()

  The control is unavailable in this context. See the disabled attribute definition in HTML 4.0.

### setDisabled

    void setDisabled(boolean disabled)

### getLabel

    java.lang.String getLabel()

  Option label for use in hierarchical menus. See the label attribute definition in HTML 4.0.

### setLabel

    void setLabel(java.lang.String label)

### getSelected

    boolean getSelected()

  Means that this option is initially selected. See the selected attribute definition in HTML 4.0.

### getValue

    java.lang.String getValue()

  The current form control value. See the value attribute definition in HTML 4.0.

### setValue

    void setValue(java.lang.String value)

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.